Pinned Nuke.Evo - Full-HD (OE2.5 / OE2.6)

    • Hi,
      da scheint aber was auf dem Feed schiefgegangen zu sein. Wenn ich update, bekomme ich 1.0git20220301-r0.4, und da ist der Hilfe-Screen wieder falsch.
      Wenn ich zurückgehe auf die von @deepblue2000 hochgeladene Version 1.0git20220110-r0.0 aus Post 624, passt der wieder ?( ?( :/
      Grüsse
      Alfred
      Images
      • nuke.evo.JPG

        69.41 kB, 1,485×507, viewed 48 times
      • nuke.evo_hilfe_2022-03-01.JPG

        198.37 kB, 1,920×1,080, viewed 63 times
      • nuke.evo_hilfe_2022-01-10.JPG

        197.5 kB, 1,920×1,080, viewed 55 times
      Yamp - gepimte Version auch für FHD - aktuelle Version V3.2.2 hier, neu: FAQ hier

      The post was edited 1 time, last by AlfredENeumann ().

    • ok, hab ich gemacht - und ja, ich sehe auch, dass jedesmal dasteht V5.7.0.
      Trotzdem ist es so (reproduzierbar): installiere ich die deb aus Post 624, passt die Hilfe, nach Update nicht mehr.....
      Images
      • nuke.evo_aus_Post624.png

        407.4 kB, 1,920×1,080, viewed 76 times
      • nuke.evo_nach_Update.png

        407.4 kB, 1,920×1,080, viewed 66 times
      Yamp - gepimte Version auch für FHD - aktuelle Version V3.2.2 hier, neu: FAQ hier
    • Beim Aktualisieren meines DM7080 mit OE 2.5 auf die neueste Version vom 03.06.2022 erhalte ich einen grünen Absturz, wenn ich Merlin Skin Themes öffnen möchte, um den Nuke.EVO-Skin zu ändern.

      Source Code

      1. action -> InfobarExtensions extensions
      2. I/ [TemplatedListFonts.__init__] :: Keyboard: 833,
      3. I/ [TemplatedListFonts.__init__] :: Bigger: 32, Regular
      4. I/ [TemplatedListFonts.__init__] :: Big: 30, Regular
      5. I/ [TemplatedListFonts.__init__] :: Medium: 28, Regular
      6. I/ [TemplatedListFonts.__init__] :: Small: 26, Regular
      7. I/ [TemplatedListFonts.__init__] :: Smaller: 24, Regular
      8. I/ [translateVariable] :: menu_viewsize => 610,1080
      9. I/ [translateVariable] :: menu_pos => 1250,0
      10. warning, skin is missing element text in <class 'Screens.ChoiceBox.ChoiceBox'>
      11. WARNING!!!!: unsupported skin attribute alternate_row_color=zebra
      12. I/ [translateVariable] :: menu_listsize => 575,800
      13. I/ [translateVariable] :: menu_listpos => 25,170
      14. create buffer for widget 610 x 1080
      15. I/ [InfoBar.__restoreState] :: <no detail>
      16. I/ [InfoBar.setPlaybackState] :: 1646682639.73
      17. [MST] v2.6.1 running...
      18. I/ [TemplatedListFonts.__init__] :: Keyboard: 833,
      19. I/ [TemplatedListFonts.__init__] :: Bigger: 32, Regular
      20. I/ [TemplatedListFonts.__init__] :: Big: 30, Regular
      21. I/ [TemplatedListFonts.__init__] :: Medium: 28, Regular
      22. I/ [TemplatedListFonts.__init__] :: Small: 26, Regular
      23. I/ [TemplatedListFonts.__init__] :: Smaller: 24, Regular
      24. swig director exception (SWIG director method error.)
      25. 0x8a4174 <SwigDirector_eSlot0X::cb_func()+0x150>
      26. 0x4e8cc8 <eTimer::activate()+0x1e4>
      27. 0x4ea084 <eMainloop_native::processOneEvent(int)+0x1dc>
      28. 0x7762b4 <eMainloopQt::processEvents(QFlags<QEventLoop::ProcessEventsFlag>)+0xdc>
      29. 0x756f57a8 <QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>)+0x140>
      30. 0x75700648 <QCoreApplication::exec()+0xb0>
      31. 0x776198 <eMainloopQt::runLoop()+0x38>
      32. 0x77f384 </usr/bin/enigma2()>
      33. 0x74f7aa9c </usr/lib/libpython2.7.so.1.0(PyEval_EvalFrameEx+0x547c)>
      34. Traceback (most recent call last):
      35. File "/usr/lib/enigma2/python/enigma.py", line 8595, in __call__
      36. return ret(*args, **kwargs)
      37. File "/usr/lib/enigma2/python/mytest.py", line 325, in processDelay
      38. callback(*retval)
      39. File "/usr/lib/enigma2/python/Screens/InfoBarGenerics.py", line 1559, in extensionCallback
      40. answer[1][1]()
      41. File "/usr/lib/enigma2/python/Tools/BoundFunction.py", line 10, in __call__
      42. return self.fnc(*self.args + args, **newkwargs)
      43. File "/usr/lib/enigma2/python/Screens/InfoBarGenerics.py", line 809, in runPlugin
      44. plugin(session = self.session, servicelist = self.servicelist)
      45. File "/usr/lib/enigma2/python/Plugins/Extensions/MerlinSkinThemes/plugin.py", line 45, in merlinskinthemes_start
      46. session.open(MerlinSkinThemes.MerlinSkinThemes)
      47. File "/usr/lib/enigma2/python/mytest.py", line 483, in open
      48. dlg = self.current_dialog = self.instantiateDialog(screen, *arguments, **kwargs)
      49. File "/usr/lib/enigma2/python/mytest.py", line 384, in instantiateDialog
      50. return self.doInstantiateDialog(screen, arguments, kwargs, self.desktop)
      51. File "/usr/lib/enigma2/python/mytest.py", line 419, in doInstantiateDialog
      52. readSkin(dlg, None, dlg.skinName, desktop)
      53. File "/usr/lib/enigma2/python/skin.py", line 892, in readSkin
      54. parseWidgets(name, myscreen, screen, skin_path_prefix, visited_components)
      55. File "/usr/lib/enigma2/python/skin.py", line 914, in parseWidgets
      56. parseWidget(name, widget, screen, skin_path_prefix, visited_components, group)
      57. File "/usr/lib/enigma2/python/skin.py", line 979, in parseWidget
      58. raise SkinError("component with name '" + wname + "' was not found in skin of screen '" + name + "'!")
      59. -------
      60. skin.SkinError: {Nuke.Evo/skin.xml}: component with name 'descriptionText' was not found in skin of screen 'MerlinSkinThemes'!
      61. ]]>
      Display All
      enigma2_crash_1646682639.log
    • Nur zur Klarstellung: Bei mir auf der 9020 funzt MST (auch Einstellung ändern) auch mit der Feed-Version. Ich hab lediglich das Problem mit dem (wieder) falschen Hilfe-Screen. Bleibe deswegen erstmal auf der Version aus Post 624.
      Yamp - gepimte Version auch für FHD - aktuelle Version V3.2.2 hier, neu: FAQ hier
    • Nach wie vor: bei mir nicht. Und was meinst du mit "über den blauen Button aktiviert"? Bei mir geht mit blau das Erweiterungs-Menü auf.
      Vielleicht solltest du mal MST deinstallieren und neu installieren, denn in deinem crashlog steht
      Display Spoiler

      skin.SkinError: {Nuke.Evo/skin.xml}: component with name 'descriptionText' was not found in skin of screen 'MerlinSkinThemes'!
      was für mich auf ein Problem von MST hinweist (ohne Gewähr ;) )
      Yamp - gepimte Version auch für FHD - aktuelle Version V3.2.2 hier, neu: FAQ hier
    • Warum der help screen nicht passn sollte bei der feed version ist ein rätsel...
      Die files wurden 1:1 übernommen.

      Wenn am weekend zeit ist guck ich nochmal nach. Aber die 920 steht nur im Schlafzimmer
      Meine hauptbox ist die two.
      Und main skin ist aktuell hdsuisse, von daher kommts leicht zum Vergessen ;)
      Probleme kann man niemals mit derselben Denkweise lösen.

      ¯\_(ツ)_/¯

      "Die Deutsche Rechtschreibung ist Freeware, sprich, du kannst sie kostenlos nutzen.
      Allerdings ist sie nicht Open Source, d.h. du darfst sie nicht verändern oder in veränderter Form veröffentlichen."
    • adri wrote:

      Und warum sollte MST nicht aktuell sein?
      Eine mögliche Ursache und Lösung:

      Anleitung zum Newnigma2 Image (OE2.5 basiert und neuer) wrote:

      Hinweis: Falls Fälle auftreten wo Optionen in MerlinSkinThemes nicht zur Verfügung stehen bzw. die aktuelle Version noch mit 2.6.1 angezeigt wird, einmal MerlinSkinThemes in der Softwareverwaltung deinstallieren, neu starten und dann die aktuelle Version von MerlinSkinThemes per Softwareverwaltung wieder installieren. Es gab vor einer Weile eine Umstellung des Paketes, so dass das aktuelle Paket erst sichtbar und installierbar wird, wenn die ältere Version deinstalliert ist.
    • Nur ein Schuss ins Blaue (weils bei mir mit der gleichen Version von MST problemlos funzt):
      GUI stoppen, und unter /etc/enigma2/merlinskinthemes die darin enthaltenen Dateien löschen (oder besser umbenennen, damit du ein backup hats) - vielleicht stört da irgendeine alte Einstellung.
      Yamp - gepimte Version auch für FHD - aktuelle Version V3.2.2 hier, neu: FAQ hier
    • @deepblue2000: für den Fall, dass du am Wochenende (oder auch später) doch nochmal Zeit findest, dich um den Skin zu kümmern. Darf ich nochmal meinen Wunsch zur choicebox anbringen (enableWrapAround in Zeile 696)? :whistling: :

      Python Source Code

      1. <screen backgroundColor="transparent" flags="wfNoBorder" name="ChoiceBox" position="0,0" size="1920,1080" title="Input">
      2. <layout name="nuke_base" />
      3. <widget backgroundColor="background" font="Regular; 28" halign="center" name="text" position="360,840" size="1230,120" transparent="1" valign="top" />
      4. <widget alternate_row_color="zebra" name="list" position="345,160" scrollbarMode="showOnDemand" size="1260,640" transparent="1" enableWrapAround="1"/>
      Danke und Gruss
      Alfred
      Yamp - gepimte Version auch für FHD - aktuelle Version V3.2.2 hier, neu: FAQ hier
    • das mit dem wraparound ist gemacht

      zum thema helpscreen: keine ahnung ! die skin.xml vom post 624 ist 100% identisch mit der vom feed
      ka woher das problem kommen soll
      Probleme kann man niemals mit derselben Denkweise lösen.

      ¯\_(ツ)_/¯

      "Die Deutsche Rechtschreibung ist Freeware, sprich, du kannst sie kostenlos nutzen.
      Allerdings ist sie nicht Open Source, d.h. du darfst sie nicht verändern oder in veränderter Form veröffentlichen."
    • ok, danke für die choicebox! :freu:
      das mit dem Unterschied Feed / direkter Download beim HelpScreen: Natürlich hab ich da auch kein Ahnung, aber kannst du es wenigstens bei dir auch so reproduzieren?
      Grüsse
      Alfred
      Yamp - gepimte Version auch für FHD - aktuelle Version V3.2.2 hier, neu: FAQ hier